Loading...
Searching...
No Matches
ojph::comment_exchange Class Reference

`#include <ojph_params.h>`

## Public Member Functions

| comment_exchange ()
void | set_string (const char *str)
void | set_data (const char *data, ui16 len)

## Private Attributes

const char * | data
ui16 | len
ui16 | Rcom

## Friends

class | local::codestream

## Detailed Description

Definition at line 290 of file ojph_params.h.

## Constructor & Destructor Documentation

## comment_exchange()

ojph::comment_exchange::comment_exchange | ( |  | ) |

inline

Definition at line 294 of file ojph_params.h.

References data, len, and Rcom.

## Member Function Documentation

## set_data()

void ojph::comment_exchange::set_data | ( | const char * | data,
|  | ui16 | len )

Definition at line 468 of file ojph_params.cpp.

References data, len, OJPH_ERROR, and Rcom.

## set_string()

void ojph::comment_exchange::set_string | ( | const char * | str | ) |

Definition at line 456 of file ojph_params.cpp.

References data, len, OJPH_ERROR, and Rcom.

Referenced by main().

## Friends And Related Symbol Documentation

## local::codestream

friend class local::codestream

friend

Definition at line 292 of file ojph_params.h.

## Member Data Documentation

## data

const char* ojph::comment_exchange::data

private

Definition at line 299 of file ojph_params.h.

Referenced by comment_exchange(), set_data(), set_string(), and ojph::local::codestream::write_headers().

## len

ui16 ojph::comment_exchange::len

private

Definition at line 300 of file ojph_params.h.

Referenced by comment_exchange(), set_data(), set_string(), and ojph::local::codestream::write_headers().

## Rcom

ui16 ojph::comment_exchange::Rcom

private

Definition at line 301 of file ojph_params.h.

Referenced by comment_exchange(), set_data(), and set_string().

The documentation for this class was generated from the following files:

- /build/openjph-z1hyMm/openjph-0.28.1/src/core/openjph/ojph_params.h
- /build/openjph-z1hyMm/openjph-0.28.1/src/core/codestream/ojph_params.cpp